%define builtin_release_name Boron
%define product_family Scientific Linux CERN
%define base_release_version 5.11
%define builtin_release_variant SLC
%define builtin_release_version %{base_release_version}
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define product_family Scientific Linux CERN

%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif

Summary: %{product_family} release file
Name: sl-release
Version: %{real_release_version}
Release: 3.slc5
License: GPL
Epoch: 666
Group: System Environment/Base
Source: sl-release-%{builtin_release_version}.tar.gz
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de comps rpmdb-redhat redhat-release
Provides: redhat-release
BuildRoot: %{_tmppath}/sl-release-root

%description
%{product_family} release files

%prep
%setup -q -n sl-release-%{builtin_release_version}

%build
#python -c "import py_compile; py_compile.compile('eula.py')"
python -c "import py_compile"

%install
rm -rf $RPM_BUILD_ROOT

#create redhat-release, issue, and issue.net
mkdir -p $RPM_BUILD_ROOT/etc
echo "%{product_family} %{builtin_release_variant} release %{base_release_version} (%{real_release_name})" > $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/redhat-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

#Put in the configuration for rhn incase someone installs it
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/rhn
install -m 644 sources $RPM_BUILD_ROOT/etc/sysconfig/rhn

#Put the default bookmarks in the right place
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}
install -m 644 mozilla-scientific-default-bookmarks.html $RPM_BUILD_ROOT/usr/share/%{name}/default-bookmarks.html

#Put in the GPG keys that signed the packages
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
        install -m 644 $file $RPM_BUILD_ROOT/etc/pki/rpm-gpg
done


%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- firefox, %{_bindir}/firefox
{
	shopt -s nullglob
	for line in /usr/lib{,64}/firefox-*/defaults/profile
	do
		[ -d "$line" ] && cp -f /usr/share/%{name}/default-bookmarks.html $line/bookmarks.html
		[ -d "$line" ] && cp -f /usr/share/%{name}/default-bookmarks.html $line/US/bookmarks.html
	done
} &> /dev/null || :

%triggerin -- firstboot
if [ -f /usr/share/firstboot/modules/additional_cds.py ] ; then
  rm -f /usr/share/firstboot/modules/additional_cds.py*
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%doc GPL autorun-template SL.releasenote* RELEASE*
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
%config(noreplace) /usr/share/%{name}/default-bookmarks.html
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*
%dir /etc/sysconfig/rhn
%config(noreplace) /etc/sysconfig/rhn/sources

%changelog
* Thu May 21 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch> 5.11
- added rpm signing keys for koji (dsa)

* Thu May 07 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch> 5.11
- added rpm signing keys for koji and AI

* Thu Sep 16 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch> 5.11
- updated to 5.11 ... the last one ...bye ...

* Fri Jan 11 2013 Jaroslaw Polok <jaroslaw.polok@cern.ch> 5.9
- updated to 5.9

* Wed Mar 14 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> 5.8
- updated to 5.8

* Mon Jul 25 2011 Jaroslaw Polok <jaroslaw.polok@cern.ch> 5.7
- updated to 5.7

* Wed Feb 2 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> 5.6
- updated to 5.6

* Wed Sep 9 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 5.4
- updated to 5.4

* Thu Feb 19 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 5.3
- Updated SLC version

* Fri Sep 05 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 5.2
- SLC version

* Fri Jun 13 2008 Troy Dawson <dawson@fnal.gov> - 5.2-1
- Changed sources to point to 52

* Fri May 23 2008 Troy Dawson <dawson@fnal.gov> - 5.2-0.1.rolling
- Moved everything over to 52
- Added new redhat rpm keys

* Thu Nov 08 2007 Troy Dawson <dawson@fnal.gov> - 5.1-1
- Moved everything to 51
- Added the new redhat rpm key
- Changed sources to be 5rolling instead of 50

* Mon Apr 02 2007 Troy Dawson <dawson@fnal.gov> - 5.0-3
- Changed sources to be 50 instead of 5rolling
- Added the centos 5 GPG key

* Mon Apr 02 2007 Troy Dawson <dawson@fnal.gov> - 5.0-3
- Changed sources to reflect the new directory structure
- added trigger to get rid of additional cd's page of firstboot
- added more rpm GPG keys

* Tue Mar 27 2007 Troy Dawson <dawson@fnal.gov> - 5.0-2
- Added bookmarks fix

* Wed Dec 07 2006 Troy Dawson <dawson@fnal.gov> - 5.0-1
- First pass at the spec file
